Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159613 - rpmbuild's rpm name is different
Summary: rpmbuild's rpm name is different
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 01:33 UTC by Need Real Name
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-06 19:34:38 UTC


Attachments (Terms of Use)

Description Need Real Name 2005-06-06 01:33:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Hi All,

   I am using White Box Enterprise Linux 4 (WBEL 4).

   To recompile a scr RPM, I am now required to run a
program called "rpmbuild."  

    Problem: the "rpm" for it, which resides on disk 3,
has a different name: rpm-build  (the difference being the
dash).  For those unaware of the fact, having a different
names makes it very hard to find.  Please use the same name 
on the rpm as the program uses.

   find /cd -iname \*rpmbuild\* -print

Many thanks,
--Tony

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. please see discription
2.
3.
  

Additional info:

Comment 2 Paul Nasrat 2005-06-06 19:34:38 UTC
Many packages have binaries with differing name to package name.

1) install selecting the Development group gets you rpmbuild
2) use a depsolver to find/install the package - eg yum provides /usr/bin/rpmbuild
3) White Box bugs should go against their distribution not here.



Comment 3 Need Real Name 2005-06-11 02:55:44 UTC
1) install selecting the Development group gets you rpmbuild

The installer, "upgrade option,"  has no "install additional packages" option.
You have to risk trashing your installation by using the "install option."
See bug 159611


2) use a depsolver to find/install the package - eg yum provides /usr/bin/rpmbuild

Oh, I really, really want to do this over a dial up modem!  It is much better to
have the rpm's named after the actualy packages they install and look for
them on your install disks.


3) White Box bugs should go against their distribution not here.

The maintainer of WBEL sends you here.  This is the proper place.  Why in
the world would you want to be cut off from such a valuable source
of feedback?

Please reopen this bug.

Many thanks,
--Tony

Comment 4 Paul Nasrat 2005-06-14 21:07:32 UTC
If you didn't install development tools in the first place you aren't going to
have much joy with just rpm-build, you'll need m4, make, autotools, loads of
libraries too.  This is possible to do by hand chasing deps, but using a
depsolver is really the supported method here.

 I understand b/w being an issue but you can create a local repository from your
install media and use a file:// url in your yum repo conf file.  

man createrepo 
man yum.conf

Many rpms provide more than one binary - should we call each rpm the
concatenation of all the files in it? 

The information is in the rpm header header and repodata which is queryable by
tools such as repoquery, yum, etc.


Note You need to log in before you can comment on or make changes to this bug.